package com.gci.boot.modules.customer.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gci.boot.modules.customer.entity.TbInspectionTask;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 巡检任务 服务类
 * </p>
 *
 * @author 2464
 * @since 2023-10-16
 */
public interface ITbInspectionTaskService extends IService<TbInspectionTask> {

    void saveItem(TbInspectionTask tbInspectionTask);

    void updateItem(TbInspectionTask tbInspectionTask);

    void saveItemFromFollow(TbInspectionTask tbInspectionTask);

    IPage<TbInspectionTask> pageBuild(Page<TbInspectionTask> page, TbInspectionTask inspectionTask);

    void removeItem(String id);

    TbInspectionTask getItemById(String id);
}
